Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.config.format
Class Table

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.config.format.Table

All Implemented Interfaces:
  java.io.Serializable

    public class Table

extends java.lang.Object
implements java.io.Serializable

This class was automatically generated with Castor 1.3rc1, using an XML Schema. $Id: Table.java,v 1.4 2009/01/19 14:06:34 a130499 Exp $
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es
See Also:
  Serialized Form

Constructor Summary
`Table()`

Method Summary
`void` | `addRow(int index, Row vRow)`
`void` | `addRow(Row vRow)`
`java.util.Enumeration<? extends Row>` | `enumerateRow()` Method enumerateRow.
`java.lang.String` | `getId()` Returns the value of field 'id'.
`Row[]` | `getRow()` Method getRow.Returns the contents of the collection in an Array.
`Row` | `getRow(int index)` Method getRow.
`int` | `getRowCount()` Method getRowCount.
`boolean` | `isValid()` Method isValid.
`void` | `marshal(org.xml.sax.ContentHandler handler)`
`void` | `marshal(java.io.Writer out)`
`void` | `removeAllRow()`
`boolean` | `removeRow(Row vRow)` Method removeRow.
`Row` | `removeRowAt(int index)` Method removeRowAt.
`void` | `setId(java.lang.String id)` Sets the value of field 'id'.
`void` | `setRow(int index, Row vRow)`
`void` | `setRow(Row[] vRowArray)`
`static Table` | `unmarshal(java.io.Reader reader)` Method unmarshal.
`void` | `validate()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Table

    public Table()

Method Detail

### addRow

    public void addRow(Row vRow)
                throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vRow` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### addRow

    public void addRow(int index,
                       Row vRow)
                throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vRow` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### enumerateRow

    public java.util.Enumeration<? extends Row> enumerateRow()

  Method enumerateRow.

  Returns:
    an Enumeration over all es.inteco.xbrl.lenlocpenloc.config.format.Row elements

### getId

    public java.lang.String getId()

  Returns the value of field 'id'.

  Returns:
    the value of field 'Id'.

### getRow

    public Row getRow(int index)
               throws java.lang.IndexOutOfBoundsException

  Method getRow.

  Parameters:
    `index` -
  Returns:
    the value of the es.inteco.xbrl.lenlocpenloc.config.format.Row at the given index
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### getRow

    public Row[] getRow()

  Method getRow.Returns the contents of the collection in an Array.

  Note: Just in case the collection contents are changing in another thread, we pass a 0-length Array of the correct type into the API call. This way we know that the Array returned is of exactly the correct length.

  Returns:
    this collection as an Array

### getRowCount

    public int getRowCount()

  Method getRowCount.

  Returns:
    the size of this collection

### isValid

    public boolean isValid()

  Method isValid.

  Returns:
    true if this object is valid according to the schema

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### marshal

    public void marshal(org.xml.sax.ContentHandler handler)
                 throws java.io.IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `java.io.IOException` - if an IOException occurs during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling

### removeAllRow

    public void removeAllRow()

### removeRow

    public boolean removeRow(Row vRow)

  Method removeRow.

  Parameters:
    `vRow` -
  Returns:
    true if the object was removed from the collection.

### removeRowAt

    public Row removeRowAt(int index)

  Method removeRowAt.

  Parameters:
    `index` -
  Returns:
    the element removed from the collection

### setId

    public void setId(java.lang.String id)

  Sets the value of field 'id'.

  Parameters:
    `id` - the value of field 'id'.

### setRow

    public void setRow(int index,
                       Row vRow)
                throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vRow` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### setRow

    public void setRow(Row[] vRowArray)

  Parameters:
    `vRowArray` -

### unmarshal

    public static Table unmarshal(java.io.Reader reader)
                           throws org.exolab.castor.xml.MarshalException,
                                  org.exolab.castor.xml.ValidationException

  Method unmarshal.

  Parameters:
    `reader` -
  Returns:
    the unmarshaled es.inteco.xbrl.lenlocpenloc.config.format.Table
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD